"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.localReducer = exports.updateGlobalState = exports.getLocalState = void 0;
var object_path_immutable_1 = require("object-path-immutable");
exports.getLocalState = function (globalState, path) {
    return object_path_immutable_1.get(globalState, path);
};
exports.updateGlobalState = function (globalState, localState, path) {
    return object_path_immutable_1.set(globalState, path, localState);
};
exports.localReducer = function (path, fn) {
    return function (state, action) {
        var currentLocalState = exports.getLocalState(state, path);
        var updatedLocalState = fn(currentLocalState, action);
        return exports.updateGlobalState(state, updatedLocalState, path);
    };
};
//# sourceMappingURL=utils.js.map